Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]

  resources :reviews

  get 'users', to: 'users#index', as: 'users'
  get 'users/new', to: 'users#new', as: 'register'
  post 'users/create', to: 'users#create', as: 'registration'
  get 'users/:id/edit', to: 'users#edit', as: 'profile'
  put 'users/:id', to: 'users#update', as: 'user'
  get 'users/:id', to: 'users#show'
  get 'users/forgotten'
  post 'users/recover'
  delete 'users/:id', to: 'users#destroy'

  resources :tasks
  resources :quizzes do
    get 'page/:page', to: 'quizzes#show', on: :member # :collection
  end
  get 'say/hello', to: 'say#hello', as: 'hello'

  post 'upload/:quiz/:task', to: 'tasks#upload', as: 'upload_solution'
  get 'download/:solution', to: 'tasks#download', as: 'download_solution'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
