require 'test_helper'

class SessionControllerTest < ActionDispatch::IntegrationTest
  def setup
    @me = users(:me)
  end

  test "login" do
    get url_for(controller: 'say', action: 'hello')
    assert_response :success
   
    post url_for(controller: 'sessions', action: 'create'), params: { email: @me.email, password: 'titok' }, headers: { 'HTTP_REFERER':  url_for(controller: 'say', action: 'hello') }
    assert_response :redirect
    follow_redirect!
    assert_select 'a', 'Logout'
    assert_not_nil session[:user]
  end

  test "logout" do
    get url_for(controller: 'say', action: 'hello')
    assert_response :success
   
    post url_for(controller: 'sessions', action: 'create'), params: { email: @me.email, password: 'titok' }, headers: { 'HTTP_REFERER':  url_for(controller: 'say', action: 'hello') }
    assert_response :redirect

    assert_not_nil session[:user]

    get url_for(controller: 'sessions', action: 'destroy')
    assert_response :redirect
    follow_redirect!
    assert_select 'legend', "Login"

    assert_nil session[:user]
  end

end
