require 'test_helper'

class UploadSolutionTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end

  def setup
    @s = users(:student_1)
    @q = quizzes(:nagyzh)
  end

  test "upload solution" do
    get url_for(controller: 'say', action: 'hello')
    assert_response :success
    assert_select 'legend', "Login"

    post url_for(controller: 'sessions', action: 'create'), params: { email: @s.email, password: 'titok' }, headers: { "HTTP_REFERER": url_for(controller: 'say', action: 'hello') }
    assert_not_nil session[:user]
    follow_redirect!
    assert_select 'a', 'Solve'

    get url_for(controller: 'quizzes', action: 'index')
    assert_response :success
    assert_select 'tbody tr', Quiz.count

    get url_for(controller: 'quizzes', action: 'show', id: @q.id)
    assert_response :success
    first_task = @q.tasks.order(:number).first
    assert_select 'b', first_task.number.to_s+ '. '+first_task.text

    assert_equal 2, Attachment.count

    upload_file = fixture_file_upload('test/fixtures/files/rails_html_users_list_20182.png', 'image/png')
    post upload_solution_path(quiz: @q.id, task: first_task.id), params: { solution: upload_file }

    assert_equal 3, Attachment.count
    a = Attachment.order(:created_at).last
    assert File.exists?(Rails.root.join('public', 'data', a.id.to_s))

    get url_for(controller: 'sessions', action: 'destroy')
    assert_nil session[:user]
    follow_redirect!
    assert_select 'legend', "Login"

  end
end
